<?xml version="1.0" encoding="UTF-8"?>
<!--
   Licensed to the Apache Software Foundation (ASF) under one
   or more contributor license agreements.  See the NOTICE file
   distributed with this work for additional information
   regarding copyright ownership.  The ASF licenses this file
   to you under the Apache License, Version 2.0 (the
   "License"); you may not use this file except in compliance
   with the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing,
   software distributed under the License is distributed on an
   "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
   KIND, either express or implied.  See the License for the
   specific language governing permissions and limitations
   under the License.    
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>

  <parent>
    <groupId>org.apache.uima</groupId>
    <artifactId>uima-as-parent</artifactId>
    <version>2.3.1</version>
    <relativePath>../uima-as-parent/pom.xml</relativePath>
  </parent>
  
	<artifactId>uimaj-as-activemq</artifactId>
	<version>2.3.1</version>
	<name>UIMA-AS: ${project.artifactId}</name>
  <description>UIMA-AS ActiveMQ incorporation</description>
  <url>${uimaWebsiteUrl}</url>

  <!-- Special inheritance note
       even though the <scm> element that follows is exactly the 
       same as those in super poms, it cannot be inherited because 
       there is some special code that computes the connection elements
       from the chain of parent poms, if this is omitted. 
       
       Keeping this a bit factored allows cutting/pasting the <scm>
       element, and just changing the following two properties -->  
  <scm>
    <connection>
      scm:svn:http://svn.apache.org/repos/asf/uima/uima-as/tags/uima-as-2.3.1-rc7/uimaj-as-activemq
    </connection>
    <developerConnection>
      scm:svn:https://svn.apache.org/repos/asf/uima/uima-as/tags/uima-as-2.3.1-rc7/uimaj-as-activemq
    </developerConnection>
    <url>
      http://svn.apache.org/viewvc/uima/uima-as/tags/uima-as-2.3.1-rc7/uimaj-as-activemq
    </url>
  </scm>
  
  <properties>
    <uimaScmProject>${project.artifactId}</uimaScmProject>
    <postNoticeText>${ibmNoticeText}</postNoticeText>
  </properties>

	<dependencies>
		
	<dependency>
		<groupId>org.apache.uima</groupId>
		<artifactId>uimaj-core</artifactId>
		<version>${uimajDependencyVersion}</version>
		<scope>compile</scope>
	</dependency>
	<!--
		Active MQ Stuff
	-->
    <dependency>
      <groupId>org.apache.activemq</groupId>
      <artifactId>activemq-all</artifactId>
      <version>5.4.1</version>
    </dependency> 

    <dependency>
      <groupId>org.apache.activemq</groupId>
      <artifactId>activemq-jaas</artifactId>
      <version>5.4.1</version>
    </dependency>
  
    <dependency>
      <groupId>org.apache.activemq</groupId>
      <artifactId>activemq-web</artifactId>
      <version>5.4.1</version>
    </dependency>

    <dependency>
      <groupId>org.apache.activemq</groupId>
      <artifactId>activemq-spring</artifactId>
      <version>5.4.1</version>
    </dependency> 

    <dependency>
      <groupId>org.apache.activemq</groupId>
      <artifactId>activemq-optional</artifactId>
      <version>5.4.1</version>
    </dependency>

    <dependency>
      <groupId>org.apache.activemq</groupId>
      <artifactId>kahadb</artifactId>
      <version>5.4.1</version>
    </dependency>

    <!--  
     Spring Framework Dependencies
    -->
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-core</artifactId>
      <version>3.0.3.RELEASE</version>
    </dependency>
     
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-asm</artifactId>
      <version>3.0.3.RELEASE</version>
    </dependency>

    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-aop</artifactId>
      <version>3.0.3.RELEASE</version>
    </dependency>
    
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-beans</artifactId>
      <version>3.0.3.RELEASE</version>
    </dependency>

    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-context</artifactId>
      <version>3.0.3.RELEASE</version>
    </dependency>

    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-expression</artifactId>
      <version>3.0.3.RELEASE</version>
    </dependency>

    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-tx</artifactId>
      <version>3.0.3.RELEASE</version>
    </dependency>

    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-jms</artifactId>
      <version>3.0.3.RELEASE</version>
    </dependency>



    <dependency>
      <groupId>org.apache.geronimo.specs</groupId>
      <artifactId>geronimo-jms_1.1_spec</artifactId>
      <version>1.1</version>
    </dependency>
    <dependency>
      <groupId>org.apache.geronimo.specs</groupId>
      <artifactId>geronimo-j2ee-management_1.1_spec</artifactId>
      <version>1.0.1</version>
    </dependency>


    <dependency>
      <groupId>org.apache.geronimo.specs</groupId>
      <artifactId>geronimo-servlet_2.5_spec</artifactId>
      <version>1.2</version>
    </dependency>

	<!--
	   Jetty
	-->
	<dependency>
      <groupId>org.eclipse.jetty.aggregate</groupId>
      <artifactId>jetty-all-server</artifactId>
      <version>7.0.1.v20091125</version>
    </dependency>


		<dependency>
		    <groupId>org.apache.uima</groupId>
		    <artifactId>uimaj-as-core</artifactId>
			<version>${project.version}</version>
			<scope>compile</scope>
		</dependency>

		<dependency>
		    <groupId>org.apache.uima</groupId>
		    <artifactId>uimaj-as-jms</artifactId>
			<version>${project.version}</version>
			<scope>compile</scope>
		</dependency>
		
    <!-- testing dependencies -->
    <dependency>
      <exclusions>
	      <exclusion>
    		<groupId>org.apache.uima</groupId>
    		<artifactId>uimaj-cpe</artifactId>
    	  </exclusion>
      </exclusions>
      
      <groupId>org.apache.uima</groupId>
      <artifactId>uimaj-examples</artifactId>
      <version>${uimajDependencyVersion}</version>
      <scope>test</scope>
    </dependency>
		
    <dependency>
      <groupId>org.apache.uima</groupId>
      <artifactId>uimaj-test-util</artifactId>
      <version>${uimajDependencyVersion}</version>
      <scope>test</scope>
    </dependency>

	</dependencies>
	<build>
		<finalName>${project.artifactId}</finalName>
		<plugins>
      <!-- This plugin makes the tests run by
             - giving more memory to them, and
             - eliminating the very slow integration test -->
		  <plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<configuration>
					<argLine>-Xmx300M</argLine>
					<includes>
					   <include>**/TestUimaASBasic.java</include>
					</includes>
				</configuration>
		  </plugin>
	  </plugins>
	  <pluginManagement>
      <plugins>
      <plugin>
        <groupId>org.apache.rat</groupId>
        <artifactId>apache-rat-plugin</artifactId>
        <executions>
          <execution>
            <id>default-cli</id>
            <configuration>
              <excludes>
                <exclude>release.properties</exclude> <!-- release generated artifact -->
                <exclude>src/test/resources/data/DoubleByteText.txt</exclude> <!-- test data -->
              </excludes>              
            </configuration>
          </execution>
        </executions>
      </plugin>
      </plugins>
	  </pluginManagement>		
	</build>
	
	<profiles>
      <profile>
        <id>extended-test</id>      
        <build>
          <plugins>
		    <plugin>
			  <groupId>org.apache.maven.plugins</groupId>
			  <artifactId>maven-failsafe-plugin</artifactId>
			  <version>2.7.2</version>
		        <executions>
		          <execution>
		            <id>integration-test</id>
		            <goals>
		              <goal>integration-test</goal>
		            </goals>
		          </execution>
		          <execution>
		            <id>verify</id>
		            <goals>
		              <goal>verify</goal>
		            </goals>
		          </execution>
		        </executions>
			  <configuration>
			    <argLine>-Xmx1024M</argLine>
			    <encoding>UTF-8</encoding>
			    <includes>
				  <include>**/TestUimaASExtended.java</include>
				</includes>
			 </configuration>
		  </plugin>
        </plugins>     
      </build>
    </profile>
  </profiles> 
</project>